function FF_Utils () {

}

FF_Utils.WIDTH_16 = " width=\"16\"";
FF_Utils.WIDTH_32 = " width=\"32\"";
FF_Utils.HEIGHT_16 = " height=\"16\"";
FF_Utils.CLASS_ICONTOOL = " class=\"jq_FF_ToolIcon\"";

FF_Utils.is_int = function (value){
    if((parseFloat(value) == parseInt(value)) && !isNaN(parseInt(value))){
        return true;
    } else {
        return false;
    }
};

FF_Utils.getSubsetSubId = function (name, subsetType) {
    var idx = name.indexOf(subsetType + "_");
    var reduc = name.substr(idx + subsetType.length + 1);
    var idx2 = reduc.indexOf("_");
    if (idx2 == -1) return reduc;
    else return reduc.substr(0, idx2);
};

FF_Utils.getBlocName = function (element) {
    return element.id.substring("ID_FF_BLOC_".length);
};

FF_Utils.getPoidsString = function (value) {
    var idx = value.indexOf("<");
    if (idx == -1) return "";
    return value.substring(idx);
};

FF_Utils.getPoids = function (value) {
    var idx = value.indexOf("<");
    if (idx == -1) return "";
    var poids = value.substring(idx+1, value.length -1);
    return poids;
};

FF_Utils.checkPoids = function (value) {
    value = $.trim(value);
    if (value.length == 0) return 1;
    if (FF_Utils.is_int(value)) {
        if (value > 0) return value;
        else return false;
    }
    else return false;
};

FF_Utils.openDialog = function (dialogUrl, dialogName, width, height) {
    var w = window.open(dialogUrl,dialogName,"resizable=yes,width=" + width + ",height=" + height + ",scrollbars");
    w.focus();
}

