function BDF_Menu () {

}

BDF_Menu.init = function () {
    var divRedo = $("#JQ_REDOACTION");
    divRedo.addClass("jq_Invisible");
    divRedo.click(BDF_Menu.redoAction);

    var actionSelect = $("#JQ_ACTIONSELECT");
    actionSelect.addClass("jq_Inactif");
    actionSelect.change(BDF_Menu.doAction);
}

BDF_Menu.goToFiche = function (elLink,key) {
    var elSelect = $("#corpusSelect")[0];
	
    var option = elSelect.options[elSelect.selectedIndex];
    var corpus = option.value;
	
    if (key == "fiche_new") {
        elLink.href="Saisie?corpus=" + corpus + "&page=fiche-creation";
    }
    else {
        var elGoto = $("#goto_fiche")[0];
        var gotoId = parseInt(elGoto.value);
        if ((isNaN(gotoId)) || (gotoId < 1)) {
            alert(err_goto);
            return false;
        }
        if (key == "fiche_display") {
            elLink.href = "fiches/" + corpus + "-" + gotoId + ".html";
        }
        else if (key == "fiche_edit") {
            elLink.href= "Saisie?corpus=" + corpus + "&idcorpus=" + gotoId + "&page=fiche-modif";
        }
        else if (key == "fiche_index") {
            elLink.href= "Saisie?corpus=" + corpus + "&idcorpus=" + gotoId + "&page=fiche-indexation";
        }
    }
    return true;
}

BDF_Menu.doAction = function () {
    var option = this.options[this.selectedIndex];
    var value = option.value;
    if (value.length == 0) {
        this.style.backgroundImage = "url(theme/icons/16x16/menu_link_actions.png)";
        $(this).addClass("jq_Inactif");
        $("#JQ_REDOACTION").addClass("jq_Invisible");
        return;
    }
    BDF_Menu.goToMenuLink(value);
    this.style.backgroundImage = option.style.backgroundImage;
    $(this).removeClass("jq_Inactif");
    $("#JQ_REDOACTION").removeClass("jq_Invisible");
}

BDF_Menu.redoAction = function () {
    var selectEl = $("#JQ_ACTIONSELECT")[0];
    var option = selectEl.options[selectEl.selectedIndex];
    var value = option.value;
    BDF_Menu.goToMenuLink(value);
    return false;
}

BDF_Menu.goToMenuLink = function (value) {
    var idx = value.indexOf(':');
    var target = value.substr(0, idx);
    var url = value.substr(idx+1);
    if (!parent[target]) {
        alert("Unknown target : " + target);
    } else {
        parent[target].document.location = url;
    }
}

$(function () {
    BDF_Menu.init();
});